-- 基础信息
base_info = {
	group_id = 247001023
}

-- DEFS_MISCS
local GroupId = 247001023
local point_id_list = {}
local MainGroupID = 247001001
local RegionID = 23001

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
}

-- 区域
regions = {
	{ config_id = 23001, shape = RegionShape.CUBIC, size = { x = 40.000, y = 25.000, z = 40.000 }, pos = { x = 0.074, y = 0.050, z = 160.037 } }
}

-- 触发器
triggers = {
	{ config_id = 1023001, name = "ENTER_REGION_23001", event = EventType.EVENT_ENTER_REGION, source = "", condition = "", action = "" }
}

-- 点位
points = {
	{ config_id = 23002, pos = { x = -3.861, y = 0.107, z = 171.196 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 23003, pos = { x = 4.224, y = 0.105, z = 171.142 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 23004, pos = { x = 0.119, y = 0.101, z = 172.087 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 23005, pos = { x = -7.038, y = 0.121, z = 169.981 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 2 },
	{ config_id = 23006, pos = { x = 7.183, y = 0.115, z = 169.540 }, rot = { x = 0.000, y = 210.000, z = 0.000 }, tag = 2 },
	{ config_id = 23007, pos = { x = -8.258, y = 0.105, z = 167.259 }, rot = { x = 0.000, y = 110.000, z = 0.000 }, tag = 2 },
	{ config_id = 23008, pos = { x = 8.850, y = 0.110, z = 167.275 }, rot = { x = 0.000, y = 250.000, z = 0.000 }, tag = 2 },
	{ config_id = 23009, pos = { x = -8.509, y = 0.100, z = 163.554 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 2 },
	{ config_id = 23010, pos = { x = 8.952, y = 0.108, z = 163.570 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 2 },
	{ config_id = 23011, pos = { x = 0.153, y = 0.115, z = 170.681 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 4 },
	{ config_id = 23012, pos = { x = -5.632, y = 0.126, z = 169.749 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 4 },
	{ config_id = 23013, pos = { x = 5.844, y = 0.100, z = 169.714 }, rot = { x = 0.000, y = 210.000, z = 0.000 }, tag = 4 },
	{ config_id = 23014, pos = { x = -8.576, y = 0.108, z = 165.070 }, rot = { x = 0.000, y = 100.000, z = 0.000 }, tag = 4 },
	{ config_id = 23015, pos = { x = 8.975, y = 0.106, z = 165.075 }, rot = { x = 0.000, y = 260.000, z = 0.000 }, tag = 4 },
	{ config_id = 23016, pos = { x = -8.562, y = 0.102, z = 160.185 }, rot = { x = 0.000, y = 80.000, z = 0.000 }, tag = 4 },
	{ config_id = 23017, pos = { x = 8.881, y = 0.101, z = 160.240 }, rot = { x = 0.000, y = 280.000, z = 0.000 }, tag = 4 },
	{ config_id = 23018, pos = { x = -5.583, y = 0.100, z = 155.517 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, tag = 4 },
	{ config_id = 23019, pos = { x = 5.774, y = 0.100, z = 155.433 }, rot = { x = 0.000, y = 330.000, z = 0.000 }, tag = 4 },
	{ config_id = 23020, pos = { x = 0.055, y = 0.100, z = 154.638 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 4 },
	{ config_id = 23021, pos = { x = -7.061, y = 0.142, z = 167.219 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 8 },
	{ config_id = 23022, pos = { x = 7.219, y = 0.117, z = 167.222 }, rot = { x = 0.000, y = 210.000, z = 0.000 }, tag = 8 },
	{ config_id = 23023, pos = { x = -7.059, y = 0.100, z = 152.868 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, tag = 8 },
	{ config_id = 23024, pos = { x = 7.142, y = 0.100, z = 152.946 }, rot = { x = 0.000, y = 330.000, z = 0.000 }, tag = 8 },
	{ config_id = 23025, pos = { x = 0.244, y = 0.117, z = 167.467 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 23026, pos = { x = 0.046, y = 0.100, z = 152.710 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 23027, pos = { x = -8.036, y = 0.101, z = 160.041 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 8 },
	{ config_id = 23028, pos = { x = 8.340, y = 0.104, z = 160.006 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 8 },
	{ config_id = 23029, pos = { x = -7.930, y = 0.102, z = 155.977 }, rot = { x = 0.000, y = 60.000, z = 0.000 }, tag = 8 },
	{ config_id = 23030, pos = { x = 8.038, y = 0.109, z = 163.415 }, rot = { x = 0.000, y = 240.000, z = 0.000 }, tag = 8 },
	{ config_id = 23031, pos = { x = 3.477, y = 0.100, z = 152.393 }, rot = { x = 0.000, y = 330.000, z = 0.000 }, tag = 8 },
	{ config_id = 23032, pos = { x = -3.775, y = 0.126, z = 167.315 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 8 },
	{ config_id = 23033, pos = { x = 4.224, y = 0.105, z = 163.829 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 23034, pos = { x = 2.518, y = 0.105, z = 163.829 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 23035, pos = { x = -1.027, y = 0.105, z = 163.829 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 23036, pos = { x = -2.733, y = 0.105, z = 163.829 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 23037, pos = { x = 2.400, y = 0.105, z = 162.089 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 23038, pos = { x = 0.694, y = 0.105, z = 162.089 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 23039, pos = { x = -2.851, y = 0.105, z = 162.089 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 23040, pos = { x = -4.557, y = 0.105, z = 162.089 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 23041, pos = { x = 5.829, y = 0.105, z = 161.956 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 23042, pos = { x = 4.123, y = 0.105, z = 161.956 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 23043, pos = { x = 3.637, y = 0.050, z = 154.596 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 32 }
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { 23001 },
		triggers = { "ENTER_REGION_23001" },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V2_2/RogueDungeon_Require"
